%define name CommonC++2
%define version 1.0.8
%define release 1mdk

%define major 1
%define libname lib%{name}_%{major}


Summary:	A GNU package for creating portable C++ programs
Name:		%name
Version:	%version
Release:	%release
Group:		Development/C++
URL:		http://www.voxilla.org/projects/projape.html
Source:		commoncpp2-%version.tar.bz2
License:	GPL
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires: libxml2-devel

%description
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname
Summary:        A GNU package for creating portable C++ program
Group:          System/Libraries
Provides:	lib%{name}
Obsoletes:	lib%{name}_0
Provides:	lib%{name}_0

%description -n %libname
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the shared library part of CommonC++.

%package -n %libname-devel
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:	%libname = %version 
Provides:	libCommonC++2-devel = %version
Obsoletes:	lib%{name}_0-devel
Provides:	lib%{name}_0-devel
Requires: 	libxml2-devel

%description -n %libname-devel
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the development files and documentation needed to build
programs with CommonC++.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n commoncpp2-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS -I/usr/include/libxml2/libxml/"
CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/libxml2/libxml/"

%configure
# it tries to run make install, so we exit with 0
%make ||:

%install
rm -rf %buildroot

mkdir -p %buildroot/%_mandir/man3

%makeinstall_std man

#mv $RPM_BUILD_ROOT/%_bindir/%{_host_cpu}-mandrake-linux-gnu-ccgnu2-config $RPM_BUILD_ROOT/%_bindir/ccgnu2-config

%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root,0755)
%doc COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog 
%_bindir/*
%_datadir/aclocal/*
%_mandir/man3/*
%_infodir/*
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/cc++2

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post -n %libname-devel
%_install_info commoncpp2.info

%postun -n %libname-devel
%_remove_install_info commoncpp2.info

%changelog
* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- 1.0.8

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-2mdk
- rebuild

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.6-1mdk
- 1.0.6
- add info files
- fix unpackaged files
- Obsoletes lib%%{name}_0 and lib%%{name}_0-devel
- fix lib provides

* Thu Oct 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- fix name of config tool

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Tue Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Sun Jun 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.5-1mdk
- 0.99.5

* Tue Jun 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- 0.99.4

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.3-2mdk
- rebuild against new libstdc++

* Wed Apr 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.3-1mdk
- 0.99.3
